## ros-foxy-control-msgs 2.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(control_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(action_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)

set(msg_files
  msg/DynamicJointState.msg
  msg/GripperCommand.msg
  msg/InterfaceValue.msg
  msg/JointControllerState.msg
  msg/JointJog.msg
  msg/JointTolerance.msg
  msg/JointTrajectoryControllerState.msg
  msg/PidState.msg
)

set(action_files
  action/FollowJointTrajectory.action
  action/GripperCommand.action
  action/JointTrajectory.action
  action/PointHead.action
  action/SingleJointPosition.action
)

set(srv_files
  srv/QueryCalibrationState.srv
  srv/QueryTrajectoryState.srv
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  ${action_files}
  DEPENDENCIES action_msgs builtin_interfaces geometry_msgs std_msgs trajectory_msgs
  ADD_LINTER_TESTS
)
ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-foxy-control-msgs (2.5.1-1focal) focal; urgency=high

  * Refractor dependency list for better overview.
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 May 2021 23:00:00 -0000

ros-foxy-control-msgs (2.5.0-1focal) focal; urgency=high

  * Extend QueryTrajectoryState to allow to report errors
  * Contributors: Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Jan 2021 00:00:00 -0000

ros-foxy-control-msgs (2.4.1-1focal) focal; urgency=high

  * Move author field lower in package.xml
  * Don't define C standard
  * Define package.xml schema for validator
  * depend -> build_depend, exec_depend
  * Contributors: Bence Magyar, ahcorde

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Jul 2020 23:00:00 -0000

ros-foxy-control-msgs (2.4.0-1focal) focal; urgency=high

  * Add std_msgs prefix path to header
  * Add JointJog msg to ROS 2 - foxy
  * Contributors: AdamPettinger, AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jul 2020 23:00:00 -0000

ros-foxy-control-msgs (2.3.0-1focal) focal; urgency=high

  * Implement "flexible joint states" message: add DynamicJointState message
  * add description of JointControllerState.msg (#30 <https://github.com/ros-controls/control_msgs/issues/30>) (#39 <https://github.com/ros-controls/control_msgs/issues/39>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 15 May 2020 23:00:00 -0000

ros-foxy-control-msgs (2.2.0-1focal) focal; urgency=high

  * generate action interfaces
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 08 Sep 2019 23:00:00 -0000

ros-foxy-control-msgs (2.1.0-1focal) focal; urgency=high

  * Fix up dependencies for actionlib and Crystal
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 29 Jan 2019 00:00:00 -0000

ros-foxy-control-msgs (2.0.0-1focal) focal; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-foxy-control-msgs (1.4.0-1focal) focal; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 23:00:00 -0000

ros-foxy-control-msgs (1.3.1-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Mar 2015 00:00:00 -0000

ros-foxy-control-msgs (1.3.0-1focal) focal; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

ros-foxy-control-msgs (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Apr 2013 23:00:00 -0000

ros-foxy-control-msgs (1.1.6-1focal) focal; urgency=high

  * adds missing feedback field to PointHeadAction
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Feb 2013 00:00:00 -0000

ros-foxy-control-msgs (1.1.5-1focal) focal; urgency=high

  * changes PointHeadAction.action to PointHead.action
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jan 2013 00:00:00 -0000

ros-foxy-control-msgs (1.1.4-1focal) focal; urgency=high

  * this now contains all messages, services and actions that used to be in ros_controllers and/or pr2_controllers_msgs
  * copy JointControllerState and JointTrajectoryControllerState  from pr2_controllers_msgs
  * copy GripperCommand from pr2_controllers_msgs
  * modified dep type of catkin
  * Contributors: Dirk Thomas, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-foxy-control-msgs (1.1.3-1focal) focal; urgency=high

  * fix dep
  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-foxy-control-msgs (1.1.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Dec 2012 00:00:00 -0000

ros-foxy-control-msgs (1.1.1-1focal) focal; urgency=high

  * added metapackage for backward compatibility
  * Contributors: Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Nov 2012 15:52:00 -0000

ros-foxy-control-msgs (1.1.0-1focal) focal; urgency=high

  * port to catkin
  * add bogus dependency on rospy, to get ros_comm
  * Added documentation for the FollowJointTrajectory action and the JointTolerance message.
  * Added PointHeadAction to control_msgs
  * First cut at a FollowJointTrajectory action
  * Contributors: Brian Gerkey, Ioan Sucan, Stuart Glaser

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Nov 2012 14:54:00 -0000

=== debian/control ===
Source: ros-foxy-control-msgs
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-action-msgs, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-generators, ros-foxy-std-msgs, ros-foxy-trajectory-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/control_msgs
Standards-Version: 3.9.2

Package: ros-foxy-control-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-action-msgs, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-runtime, ros-foxy-std-msgs, ros-foxy-trajectory-msgs, ros-foxy-ros-workspace
Description: control_msgs contains base messages and actions useful for controlling robots.
 It provides representations for controller setpoints and joint and cartesian trajectories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-control-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
